#ifndef DeliveryTarget_h
#define DeliveryTarget_h

#include "Target.h"
#include "Package.h"

class DeliveryTarget : public Target
{
	public:
		DeliveryTarget(Package& pkg) : Target(pkg.GetX(), pkg.GetY(), true)
		{
			m_pkg = new Package(pkg);
		}

		virtual ~DeliveryTarget()
		{
			delete m_pkg;
		}

		Package* m_pkg;
};

#endif