#include "Client.h"
#include "Server.h"
#include "stdlib.h"

///////////////////////////////////////////////////////////////////////
// MAIN ENTRY POINT
///////////////////////////////////////////////////////////////////////
int main(int argc, char* argv[])
{
	char* addr = "192.168.0.134";
	int port = 20005;

	if (argc >= 3)
	{
		addr = argv[1];
		port = atoi(argv[2]);
	}

	Server server(addr, port);
	Client client(&server);
	
	return client.Run();
}
