#ifndef Tile_h
#define Tile_h

///////////////////////////////////////////////////////////////////////
//                         Tile class
///////////////////////////////////////////////////////////////////////
class Tile
{
	public:
		Tile(char val) : m_val(val)
		{
		}

		bool IsPlain() { return (m_val == '.') ? true : false; }
		bool IsWater() { return (m_val == '~') ? true : false; }
		bool IsWall() { return (m_val == '#') ? true : false; }
		bool IsHomeBase() { return (m_val == '@') ? true : false; }

		bool GetVisited() { return m_visited; }
		void SetVisited(bool visited) { m_visited = visited; }

		char m_val;
		bool m_visited;
};

#endif