#include "Utils.h"
#include "Constants.h"
#include "ctype.h"
#include "stdlib.h"
#include "string.h"

bool GetInt(char*& p, int* value)
{
	bool result = false;
	char buf[MAX_LINE];

	char* t = p;
	while (*t != 0 && *t != ' ' && isdigit(*t))
		++t;

	int length = t-p;
	if (length > 0)
	{
		memcpy(buf, p, length);
		buf[length] = 0;

		*value = atoi(buf);

		if (*t != 0)
			p = t+1;
		else
			p = t;

		result = true;
	}
	
	return result;
}

bool GetWord(char*& p, char* value)
{
	bool result = false;

	char* t = p;
	while (*t != 0 && *t != ' ')
		++t;

	int length = t-p;
	if (length > 0)
	{
		memcpy(value, p, length);
		value[length] = 0;

		if (*t != 0)
			p = t+1;
		else
			p = t;

		result = true;
	}
	
	return result;
}
